Page MenuHomePhabricator

Inappropriate lack of spacing in math notation when "align" is used.
Closed, ResolvedPublic

Description

Lately I have seen numerous instances of the problem of which the following is an example. In the article titled "Causal graph", in the section titled "Example", the following code appears. The way it is rendered does not put the appropriate and standard amount of space between the notation preceding the "=" and the "=" itself. This began happening only recently.

: <math>
\begin{align}
Q_1 &= U_1\\
C &= a \cdot Q_1 + U_2\\
Q_2 &= c \cdot C + d \cdot Q_1 + U_3\\
S &= b \cdot C + e \cdot Q_2 + U_4,
\end{align}</math>

Event Timeline

Michael_Hardy raised the priority of this task from to Needs Triage.
Michael_Hardy updated the task description. (Show Details)
Michael_Hardy added a subscriber: Michael_Hardy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 11:17 PM

Thanks for taking the time to report this!

Please provide links to reproduce. I assume this is about https://en.wikipedia.org/wiki/Causal_graph#Example ? I don't see any issue with space there. You might want to attach a comparison screenshot here and provide browser information (generally welcome).

TheDJ added a subscriber: TheDJ.Feb 27 2015, 9:11 PM

This problem is specific to using the MathML mode with SVG fallback.

Example: https://en.wikipedia.org/w/index.php?title=Special:MathShowImage&hash=73ecfe09d17891c5b08b65a8ce39be02&mode=5

There should be a space before the = signs, but there is not.

However, it's specific to the SVG only. The MathML output looks good.

MathML rendering with FF

Debenben closed this task as Resolved.Nov 29 2018, 9:09 PM
Debenben claimed this task.